# $Id: perl-XML-Mini.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Pat Deegan <pause$psychogenic,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name XML-Mini

Summary: MiniXML XML generator and parser interface
Name: perl-XML-Mini
Version: 1.2.8
Release: 1.2.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-Mini/

Source: http://www.cpan.org/modules/by-module/XML/XML-Mini-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
XML::Mini is a set of Perl (and PHP) classes that allow you to access
XML data and create valid XML output with a tree-based hierarchy of
elements.

It provides an easy, object-oriented interface for manipulating XML
documents and their elements. It is currently being used to send
requests and understand responses from remote servers in Perl or PHP
applications.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/XML/Mini.pm
%{perl_vendorlib}/XML/Mini

%changelog
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.2.8-1.2 #5984
- Rebuild for Fedora Core 5.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.2.8-1
- Initial package.
